JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
juce::dsp::DelayLineInterpolationTypes::Thiran Struct Reference

Successive samples in the delay line will be interpolated using 1st order Thiran interpolation. More...

`#include <juce_DelayLine.h>`

## Detailed Description

Successive samples in the delay line will be interpolated using 1st order Thiran interpolation.

This method is very efficient, and features a flat amplitude frequency response in exchange for less accuracy in the phase response. This interpolation method is stateful so is unsuitable for applications requiring fast delay modulation.

The documentation for this struct was generated from the following file:

- juce_DelayLine.h